<?php
$name = 'sp';
$nameSlug = '_' . $name;
$nameSlug = sanitize_key($nameSlug);
$panel = 'panel' . $nameSlug;
$config = 'config' . $nameSlug;

// Lấy thông tin theme hiện tại
$current_theme = wp_get_theme();
$theme = $current_theme->get('Name');
if ($current_theme->parent()) {
    $theme = $current_theme->parent()->get('Name');
}
if ($theme !== "Flatsome") {
    $cc = new Kirki();
} else {
    $cc = new Flatsome_Option();
}


$cc::add_panel($panel, array(
    'title' => esc_html__('Cài đặt Plugin', 'sport'),
    'priority' => 1,
));
$cc::add_config($config, array(
    'capability' => 'edit_theme_options',
    'option_type' => 'option',
));

$sectionBanner = 'section_configs' . $nameSlug;
// Start section Font
$cc::add_section($sectionBanner, array(
    'title' => esc_html__('Cài đặt URL', 'sport'),
    'panel' => $panel,
    'priority' => 30,
));


$cc::add_field($config, [
    'type' => 'url',
    'settings' => 'url_data' . $nameSlug,
    'label' => esc_html__('Domain fetch dữ liệu', 'sport'),
    'section' => $sectionBanner,
    'default' => DB_DOMAIN,
]);

$cc::add_field($config, [
    'type' => 'url',
    'settings' => 'url_image' . $nameSlug,
    'label' => esc_html__('Domain hình ảnh', 'sport'),
    'section' => $sectionBanner,
    'default' => 'https://img.winfast.dev',
]);

$cc::add_field($config, [
    'type' => 'url',
    'settings' => 'url_ads' . $nameSlug,
    'label' => esc_html__('Domain quảng cáo', 'sport'),
    'section' => $sectionBanner,
    'default' => '',
]);

$sectionSeo = 'section_seo' . $nameSlug;
// Start section Font
$cc::add_section($sectionSeo, array(
    'title' => esc_html__('Cài đặt SEO', 'sport'),
    'panel' => $panel,
    'priority' => 30,
));

$cc::add_field($config, [
    'type' => 'Checkbox',
    'settings' => 'Checkbox_unindex' . $nameSlug,
    'label' => esc_html__('Thêm nofollow, noindex tất cả đường dẫn trong plugin', 'sport'),
    'section' => $sectionSeo,
    'default' => false,
]);
$sectionPage = 'section_page' . $nameSlug;
// Start section Font
$cc::add_section($sectionPage, array(
    'title' => esc_html__('Cài đặt trận đấu', 'sport'),
    'panel' => $panel,
    'priority' => 30,
));
$pages = get_pages();
$page_choices = [];

//$sectionDetail = 'section_detail' . $nameSlug;
//// Start section Font
//$cc::add_section($sectionDetail, array(
//    'title' => esc_html__('Cài đặt trang chi tiết', 'sport'),
//    'panel' => $panel,
//    'priority' => 30,
//));

$cc::add_field($config, [
    'type' => 'Checkbox',
    'label' => esc_html__('Ẩn tất cả liên kết trang chi tiết', 'sport'),
    'settings' => 'Checkbox_hide_action' . $nameSlug,
    'section' => $sectionPage,
    'default' => false,
]);

$page_choices[''] = 'None';
foreach ($pages as $page) {
    $page_choices[$page->post_name] = $page->post_title;
}
$cc::add_field($config, [
    'type' => 'custom',
    'settings' => 'title-mt-0'.$nameSlug,
    'section' => $sectionPage,
    'default' => '<div class="options-title-divider">Đường dẫn cho trang chi tiết</div>'
]);
$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_detail' . $nameSlug,
    'label' => "[vi] " . esc_html__('Tùy chỉnh trang chi tiết trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);

$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_detail_en' . $nameSlug,
    'label' => "[en] " . esc_html__('Tùy chỉnh trang chi tiết trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);
$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_detail_id' . $nameSlug,
    'label' => "[id] " . esc_html__('Tùy chỉnh trang chi tiết trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);
$cc::add_field($config, [
    'type' => 'custom',
    'settings' => 'title-mt-1'.$nameSlug,
    'section' => $sectionPage,
    'default' => '<div class="options-title-divider">Đường dẫn cho trang phân tích</div>'
]);
$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_analysis' . $nameSlug,
    'label' => "[vi] " . esc_html__('Tùy chỉnh trang phân tích trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);

$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_analysis_en' . $nameSlug,
    'label' => "[en] " . esc_html__('Tùy chỉnh trang phân tích trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);
$cc::add_field($config, [
    'type' => 'Select',
    'settings' => 'select_analysis_id' . $nameSlug,
    'label' => "[id] " . esc_html__('Tùy chỉnh trang phân tích trận dấu. Vui lòng lưu lại Cài đặt đường dẫn cố định sau khi chỉnh sửa.', 'sport'),
    'section' => $sectionPage,
    'default' => "",
    'choices' => $page_choices,
]);

// Start section Font
$sectionUpdate = 'section_update' . $nameSlug;
$cc::add_section($sectionUpdate, array(
    'title' => esc_html__('Cập nhật tự động', 'sport'),
    'panel' => $panel,
    'priority' => 30,
));
$cc::add_field($config, [
    'type' => 'Checkbox',
    'label' => esc_html__('Tự động cập nhật plugin', 'sport'),
    'settings' => 'auto_update' . $nameSlug,
    'section' => $sectionUpdate,
    'default' => false,
]);

$sectionColorConfig = 'section_colors' . $nameSlug;
// Start section Font
$cc::add_section($sectionColorConfig, array(
    'title' => esc_html__('Cài đặt Màu Sắc', 'sport'),
    'panel' => $panel,
    'priority' => 30,
));

$cc::add_field($config, [
    'type' => 'color',
    'settings' => 'primary_color' . $nameSlug,
    'label' => __('Màu chính', 'sport'),
    'description' => esc_html__('', 'sport'),
    'section' => $sectionColorConfig,
    'default' => '#007691',
    'choices' => [
        'alpha' => true,
    ],
]);
$cc::add_field($config, [
    'type' => 'color',
    'settings' => 'secondary_color' . $nameSlug,
    'label' => __('Màu phụ', 'sport'),
    'description' => esc_html__('', 'sport'),
    'section' => $sectionColorConfig,
    'default' => '#e6e6e6',
    'choices' => [
        'alpha' => true,
    ],
]);
$cc::add_field($config, [
    'type' => 'color',
    'settings' => 'text_primary_color' . $nameSlug,
    'label' => __('Màu chữ chính', 'sport'),
    'description' => esc_html__('', 'sport'),
    'section' => $sectionColorConfig,
    'default' => '#000000',
    'choices' => [
        'alpha' => true,
    ],
]);
$cc::add_field($config, [
    'type' => 'color',
    'settings' => 'text_secondary_color' . $nameSlug,
    'label' => __('Màu chữ phụ', 'sport'),
    'description' => esc_html__('', 'sport'),
    'section' => $sectionColorConfig,
    'default' => '#111111',
    'choices' => [
        'alpha' => true,
    ],
]);